Bug 608868 - API for retrieving action details is cumbersome
Summary: API for retrieving action details is cumbersome
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API   
(Show other bugs)
Version: 530
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2010-06-28 19:35 UTC by Aron Parsons
Modified: 2016-01-04 05:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 18:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aron Parsons 2010-06-28 19:35:59 UTC
There is not an easy way to get detailed output from an action.  The 'message' field from the schedule.* calls never contains any useful info.  The only way to get the detailed messages is to call system.listSystemEvents on each system you got from schedule.list{InProgress,Completed,Failed} and then filter it locally.

A call like schedule.getActionResults(session, actionID) which returns the detailed results of an action (e.g., installed package list, configuration file details) would be very useful.

Comment 1 Aron Parsons 2010-07-16 18:56:15 UTC
Invalid.


Note You need to log in before you can comment on or make changes to this bug.